NSTextInternal::DataPLC Struct Reference

Internal: class to store the PLC: Pointer List Content ? More...

## Public Member Functions

| DataPLC ()

## Public Attributes

PLCType | m_type
| PLC type. More...
int | m_id
| the id More...
std::string | m_extra
| an extra data to store message ( if needed ) More...

## Friends

std::ostream & | operator<< (std::ostream &o, DataPLC const &plc)
| operator<< More...

## Detailed Description

Internal: class to store the PLC: Pointer List Content ?

## Constructor & Destructor Documentation

NSTextInternal::DataPLC::DataPLC | ( |  | ) |

inline

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | DataPLC const & | plc
| ) |  |

friend

operator<<

## Member Data Documentation

std::string NSTextInternal::DataPLC::m_extra

an extra data to store message ( if needed )

Referenced by NSTextInternal::operator<<().

int NSTextInternal::DataPLC::m_id

the id

Referenced by NSTextInternal::operator<<(), NSText::readFootnotes(), NSText::readHeaderFooter(), NSText::readParagraphs(), NSText::readPICD(), and NSText::readPosToFont().

PLCType NSTextInternal::DataPLC::m_type

PLC type.

Referenced by NSTextInternal::operator<<(), NSText::readFootnotes(), NSText::readHeaderFooter(), NSText::readParagraphs(), NSText::readPICD(), and NSText::readPosToFont().

The documentation for this struct was generated from the following file:

- NSText.cxx